(*
    ||M||  This file is part of HELM, an Hypertextual, Electronic        
    ||A||  Library of Mathematics, developed at the Computer Science     
    ||T||  Department, University of Bologna, Italy.                     
    ||I||                                                                
    ||T||  HELM is free software; you can redistribute it and/or         
    ||A||  modify it under the terms of the GNU General Public License   
    \   /  version 2 or (at your option) any later version.              
     \ /   This software is distributed as is, NO WARRANTY.              
      V_______________________________________________________________ *)

type counters

val initial_counters: counters

val count_entity: (counters -> 'a) -> counters -> Bag.entity -> 'a

val print_counters: (unit -> 'a) -> counters -> 'a

val specs: (Layer.status, Bag.lenv, Bag.term) Log.specs

val export_term: Layer.status -> Bag.term -> XmlLibrary.pp
