(*
    ||M||  This file is part of HELM, an Hypertextual, Electronic        
    ||A||  Library of Mathematics, developed at the Computer Science     
    ||T||  Department, University of Bologna, Italy.                     
    ||I||                                                                
    ||T||  HELM is free software; you can redistribute it and/or         
    ||A||  modify it under the terms of the GNU General Public License   
    \   /  version 2 or (at your option) any later version.              
     \ /   This software is distributed as is, NO WARRANTY.              
      V_______________________________________________________________ *)

type ho_whd_result =
   | Sort of int
   | Abst of Bag.term

val ho_whd: 
   (ho_whd_result -> 'a) -> Layer.status -> Bag.lenv -> Bag.term -> 'a

val are_convertible:
   (bool -> 'a) -> Layer.status -> Bag.lenv -> Bag.term -> Bag.term -> 'a
