(*
    ||M||  This file is part of HELM, an Hypertextual, Electronic        
    ||A||  Library of Mathematics, developed at the Computer Science     
    ||T||  Department, University of Bologna, Italy.                     
    ||I||                                                                
    ||T||  HELM is free software; you can redistribute it and/or         
    ||A||  modify it under the terms of the GNU General Public License   
    \   /  version 2 or (at your option) any later version.              
     \ /   This software is distributed as is, NO WARRANTY.              
      V_______________________________________________________________ *)

module U  = NUri
module UH = U.UriHash
module E  = Entity

let hsize = 7000 
let env = UH.create hsize

(* Interface functions ******************************************************)

(* decps *)
let set_entity entity =
   let _, _, uri, _ = entity in
   UH.add env uri entity; entity

let get_entity uri =
   try UH.find env uri with Not_found -> E.empty_root, E.empty_node, uri, E.Void
