(*
    ||M||  This file is part of HELM, an Hypertextual, Electronic        
    ||A||  Library of Mathematics, developed at the Computer Science     
    ||T||  Department, University of Bologna, Italy.                     
    ||I||                                                                
    ||T||  HELM is free software; you can redistribute it and/or         
    ||A||  modify it under the terms of the GNU General Public License   
    \   /  version 2 or (at your option) any later version.              
     \ /   This software is distributed as is, NO WARRANTY.              
      V_______________________________________________________________ *)

module E = Entity

(* interface functions ******************************************************)

let rec alpha mem x a =
   let err () = a in
   let f () = match a.E.n_name with
      | None               -> a
      | Some (token, mode) -> alpha mem x {a with E.n_name = Some (token ^ "_", mode)}
   in
   mem err f x a
