(*
    ||M||  This file is part of HELM, an Hypertextual, Electronic        
    ||A||  Library of Mathematics, developed at the Computer Science     
    ||T||  Department, University of Bologna, Italy.                     
    ||I||                                                                
    ||T||  HELM is free software; you can redistribute it and/or         
    ||A||  modify it under the terms of the GNU General Public License   
    \   /  version 2 or (at your option) any later version.              
     \ /   This software is distributed as is, NO WARRANTY.              
      V_______________________________________________________________ *)

val set_sorts: int -> string list -> int

val string_of_sort: (unit -> 'a) -> (string -> 'a) -> int -> 'a

val sort_of_string: (unit -> 'a) -> (int -> 'a) -> string -> 'a

val set_graph: string -> bool

val string_of_graph: unit -> string

val apply: int -> int

val clear: unit -> unit
