(*
    ||M||  This file is part of HELM, an Hypertextual, Electronic        
    ||A||  Library of Mathematics, developed at the Computer Science     
    ||T||  Department, University of Bologna, Italy.                     
    ||I||                                                                
    ||T||  HELM is free software; you can redistribute it and/or         
    ||A||  modify it under the terms of the GNU General Public License   
    \   /  version 2 or (at your option) any later version.              
     \ /   This software is distributed as is, NO WARRANTY.              
      V_______________________________________________________________ *)

type mark = int

let mark = ref 0

(* interface functions ******************************************************)

let marks () = !mark

let new_mark () =
   incr mark; !mark

let null_mark = 0

let string_of_mark i = string_of_int i

let clear_marks () =
   mark := 0
